
Foreman - Bug #8228

default_template_url removed from API controllers, causes PXE menu build failure

10/31/2014 08:06 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Templates   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1913

  

Description

#4463 removed default_template_url methods from the two API controllers, but left it in the UI controller.  This method is called by

PXE default templates, e.g.   

ks=<%= default_template_url(profile[:template], profile[:hostgroup]) %>

https://github.com/theforeman/community-templates/blob/master/pxe/PXELinux_default.erb#L25

I see it's been fixed in the UI controller for the #4463 bug, but the code should have been moved somewhere common, not removed

in 2/3 places.

failed to process template: undefined method `default_template_url' for #&lt;Api::V2::ConfigTempla

tesController:0x0000000a0ada48&gt;

Related issues:

Related to Foreman - Bug #4463: Default profiles templates default to https:/... Closed 02/26/2014

Associated revisions

Revision 563fa283 - 12/04/2014 04:22 AM - Shlomi Zadok

fixes #8228 - add a config_templates concern to serve config_templates controllers

Revision 4c913331 - 12/15/2014 10:00 AM - Shlomi Zadok

fixes #8228 - add a config_templates concern to serve config_templates controllers

(cherry picked from commit 563fa283aff363801d5cd160ab0c54f6c7634d98)

History

#1 - 10/31/2014 08:07 AM - Dominic Cleal

- Related to Bug #4463: Default profiles templates default to https:// connection for kickstart added

#2 - 11/09/2014 05:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1913 added

- Pull request deleted ()

#3 - 11/09/2014 05:22 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#4 - 12/04/2014 05:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 563fa283aff363801d5cd160ab0c54f6c7634d98.

#5 - 12/05/2014 03:27 AM - Dominic Cleal

- translation missing: en.field_release changed from 28 to 29
